at.chipkarte.client.bkf.soap

## Class WEMEndergebnis

- Object
- - at.chipkarte.client.bkf.soap.WEMEndergebnis

-     public class WEMEndergebnis
      extends Object

  Diese Klasse enthält die Daten des Endergebnisses der Weiteren Mammographie (WeitereMammographieDoku).
  ParameterID: 1270.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WEMEndergebnis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBefundungsZeitstempel()` Zeitstempel der Befundung.
    `String` | `getDichte()` Endbefund Ergebnis Dichte (D-SCORE).
    `String` | `getEndergebnis()` Weitere Mammographie Endergebnis (WEM-SCORE).
    `String` | `getGroesseLinks()` Größe der Läsion links in mm.
    `String` | `getGroesseRechts()` Größe der Läsion rechts in mm.
    `String` | `getInakzeptabel()` Zumindest eine Aufnahme war radiologisch inakzeptabel.
    `String` | `getInfoDatum()` Datum, ab dem der Befund versand- / abholbereit ist.
    `String` | `getPatientID()` ID der Patientin in der Vertragspartnersoftware.
    `String` | `getTechnZusatzaufnahme()` Zumindest eine Aufnahme musste aus technischen Gründen wiederholt werden.
    `String` | `getTomosynthese()` Tomosynthese durchgeführt.
    `String` | `getWiederbestellung()` Grund für die Wiederbestellung.
    `String` | `getZusatzaufnahmen()` Aus medizinischen beziehungsweise anatomischen Gründen wurden mammographische Zusatzaufnahmen durchgeführt.
    `String` | `getZustimmungFeedback()` Zustimmung zu Feedbackbericht.
    `void` | `setBefundungsZeitstempel(String befundungsZeitstempel)`
    `void` | `setDichte(String dichte)`
    `void` | `setEndergebnis(String endergebnis)`
    `void` | `setGroesseLinks(String groesseLinks)`
    `void` | `setGroesseRechts(String groesseRechts)`
    `void` | `setInakzeptabel(String inakzeptabel)`
    `void` | `setInfoDatum(String infoDatum)`
    `void` | `setPatientID(String patientID)`
    `void` | `setTechnZusatzaufnahme(String technZusatzaufnahme)`
    `void` | `setTomosynthese(String tomosynthese)`
    `void` | `setWiederbestellung(String wiederbestellung)`
    `void` | `setZusatzaufnahmen(String zusatzaufnahmen)`
    `void` | `setZustimmungFeedback(String zustimmungFeedback)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WEMEndergebnis

          public WEMEndergebnis()

  - ### Method Detail

    - #### getBefundungsZeitstempel

          public String getBefundungsZeitstempel()

      Zeitstempel der Befundung.
      Angabe: Muss.
      Muss größer oder gleich den BefundungsZeitstempel von WEMMammographieErstbefunder, WEMMammographieZweitbefunder (sofern WEMMammographieZweitbefunder angegeben wurde) und WEMUltraschall (sofern WEMUltraschall angegeben wurde) sein und darf nicht mehr als 5 Minuten in der Zukunft liegen. Muss größer oder gleich dem Leistungsdatum bzw. dem Behandlungsdatum der gewählten Konsultation sein.
      Format: TT.MM.JJJJ hh:mm:ss
      ParameterID: 1285.
      Returns:
        BefundungsZeitstempel

    - #### setBefundungsZeitstempel

          public void setBefundungsZeitstempel(String befundungsZeitstempel)

    - #### getZusatzaufnahmen

          public String getZusatzaufnahmen()

      Aus medizinischen beziehungsweise anatomischen Gründen wurden mammographische Zusatzaufnahmen durchgeführt.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      ParameterID: 1272.
      Returns:
        Zusatzaufnahmen

    - #### setZusatzaufnahmen

          public void setZusatzaufnahmen(String zusatzaufnahmen)

    - #### getInakzeptabel

          public String getInakzeptabel()

      Zumindest eine Aufnahme war radiologisch inakzeptabel.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      ParameterID: 1273.
      Returns:
        Inakzeptabel

    - #### setInakzeptabel

          public void setInakzeptabel(String inakzeptabel)

    - #### getTechnZusatzaufnahme

          public String getTechnZusatzaufnahme()

      Zumindest eine Aufnahme musste aus technischen Gründen wiederholt werden.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      ParameterID: 1274.
      Returns:
        TechnZusatzaufnahme

    - #### setTechnZusatzaufnahme

          public void setTechnZusatzaufnahme(String technZusatzaufnahme)

    - #### getEndergebnis

          public String getEndergebnis()

      Weitere Mammographie Endergebnis (WEM-SCORE).
      Angabe: Muss.
      Mögliche Werte siehe `ErgebnisEndbefundWeitereTypConstant`.
      ParameterID: 1278.
      Returns:
        Endergebnis

    - #### setEndergebnis

          public void setEndergebnis(String endergebnis)

    - #### getDichte

          public String getDichte()

      Endbefund Ergebnis Dichte (D-SCORE).
      Angabe: Muss.
      Mögliche Werte siehe `DichteTypConstant`.
      ParameterID: 1279.
      Returns:
        Dichte

    - #### setDichte

          public void setDichte(String dichte)

    - #### getGroesseLinks

          public String getGroesseLinks()

      Größe der Läsion links in mm.
      Angabe: Bedingt. Bei Befüllung von Endergebnis mit einem Wert >= 4 (4, 5 oder 6): GroesseRechts und/oder GroesseLinks muss angegeben werden. Bei Befüllung von Endergebnis mit einem Wert < 4 (0, 1, 2, oder 3): Weder GroesseRechts noch GroesseLinks darf angegeben werden.
      Format: numerisch, maximal 3-stellig, Wertebereich 0-200. Hierbei steht der Wert '0' für 'nicht bestimmbar'.
      ParameterID: 1280.
      Returns:
        GroesseLinks

    - #### setGroesseLinks

          public void setGroesseLinks(String groesseLinks)

    - #### getGroesseRechts

          public String getGroesseRechts()

      Größe der Läsion rechts in mm.
      Angabe: Bedingt. Bei Befüllung von Endergebnis mit einem Wert >= 4 (4, 5 oder 6): GroesseRechts und/oder GroesseLinks muss angegeben werden. Bei Befüllung von Endergebnis mit einem Wert < 4 (0, 1, 2, oder 3): Weder GroesseRechts noch GroesseLinks darf angegeben werden.
      Format: numerisch, maximal 3-stellig, Wertebereich 0-200. Hierbei steht der Wert '0' für 'nicht bestimmbar'.
      ParameterID: 1281.
      Returns:
        GroesseRechts

    - #### setGroesseRechts

          public void setGroesseRechts(String groesseRechts)

    - #### getInfoDatum

          public String getInfoDatum()

      Datum, ab dem der Befund versand- / abholbereit ist.
      Angabe: Muss.
      Muss größer oder gleich dem Datum in BefundungsZeitstempel und kleiner oder gleich dem aktuellen Datum + 1 Monat sein.
      Format: TT.MM.JJJJ
      ParameterID: 1286.
      Returns:
        InfoDatum

    - #### setInfoDatum

          public void setInfoDatum(String infoDatum)

    - #### getPatientID

          public String getPatientID()

      ID der Patientin in der Vertragspartnersoftware.
      Angabe: Kann.
      Wird die PatientID vom Radiologen nicht angegeben, können die probandinnenbezogenen Daten im Feedbackbericht nicht zugeordnet werden.
      Format: maximal 64-stellig.
      ParameterID: 0187.
      Returns:
        PatientID

    - #### setPatientID

          public void setPatientID(String patientID)

    - #### getWiederbestellung

          public String getWiederbestellung()

      Grund für die Wiederbestellung.
      Angabe: Muss.
      Mögliche Werte siehe `WiederbestellungsGrundTypConstant`.
      ParameterID: 1288
      Returns:
        Wiederbestellung

    - #### setWiederbestellung

          public void setWiederbestellung(String wiederbestellung)

    - #### getZustimmungFeedback

          public String getZustimmungFeedback()

      Zustimmung zu Feedbackbericht.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      ParameterID: 1289
      Returns:
        ZustimmungFeedback

    - #### setZustimmungFeedback

          public void setZustimmungFeedback(String zustimmungFeedback)

    - #### getTomosynthese

          public String getTomosynthese()

      Tomosynthese durchgeführt.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      ParameterID: 1290.
      Returns:
        Tomosynthese

    - #### setTomosynthese

          public void setTomosynthese(String tomosynthese)